Source: cherrypy3
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stephan Sürken <absurd@debian.org>,
 Jeroen Ploemen <jcfp@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-alabaster <!nodoc>,
 python3-all,
 python3-cheroot <!nocheck>,
 python3-jaraco.collections <!nocheck>,
 python3-more-itertools <!nocheck>,
 python3-objgraph <!nocheck>,
 python3-path <!nocheck>,
 python3-portend <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests-toolbelt <!nocheck>,
 python3-routes <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-simplejson <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-zc.lockfile <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://cherrypy.dev/
Vcs-Git: https://salsa.debian.org/python-team/packages/cherrypy3.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cherrypy3
Rules-Requires-Root: no

Package: python3-cherrypy3
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-openssl,
 python3-routes,
 python3-simplejson,
Suggests:
 python3-objgraph,
Description: Python web development framework - Python 3 module
 CherryPy is a pythonic, object-oriented web development framework. It
 provides the foundation over which complex web-based applications can
 be written, with little or no knowledge of the underlying
 protocols. CherryPy allows developers to build web applications in
 much the same way they would build any other object-oriented Python
 program. This usually results in smaller source code developed in
 less time.
 .
 CherryPy is up-to-date with the latest developments on using Python
 for web development: it features a bundled WSGI server, and is able
 to integrate with other dispatching mechanisms, such as
 Routes. CherryPy can be run as a standalone application, since it
 provides its own HTTP server; setting it up behind another HTTP
 server, such as Apache, or even with mod_python are also options.
 .
 This package contains the Python 3 module cherrypy.

Package: python-cherrypy3-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: python3-cherrypy3
Description: Documentation for CherryPy web framework
 CherryPy is a pythonic, object-oriented web development framework.
 .
 This package contains the documentation for CherryPy.
